# tvchannellist

Python Package for programmatically retrieving the LCN of television channels. This was originally designed for [Home Assistant](https://www.home-assistant.io/).

**NOTE:** Many TV channel list providers has no official API; therefore, this library may stop
working at any time without warning.

# Credits
Originally inspired by [AlexaControlledSamsungTV](https://github.com/eclair4151/AlexaControlledSamsungTV).

Additional scaffolding from [alexapy](https://gitlab.com/keatontaylor/alexapy) and [simplisafe-python](https://github.com/bachya/simplisafe-python)

# Contributing
1.  [Check for open features/bugs](https://github.com/tulindo/tvchannellist/issues)
  or [initiate a discussion on one](https://github.com/tulindo/tvchannellist/issues/new).
2.  Fork the repository.
3.  Install the dev environment: `python3 -m venv venv`.
4.  Enter the virtual environment: `source venv/bin/activate`
5.  Install requirements: `pip3 install -r requirements.txt`
6.  Code your new feature or bug fix.
7.  Write a test that covers your new functionality.
8.  Update `README.md` with any new documentation.
9.  Run tests and ensure 100% code coverage for your contribution: `make coverage`
10. Ensure you have no linting errors: `make lint`
11. Add yourself to `AUTHORS.md`.
12. Submit a pull request!

# License
[GPLv30](LICENSE). By providing a contribution, you agree the contribution is licensed under GPLv3.
